#ifndef DDAT_H_INCLUDED_
#define DDAT_H_INCLUDED_

#include "typedef.h"

typedef struct ddat_t {
  unsigned int asize;  /* allocated size */
  unsigned int esize;  /* effective size */
  double *data;
} ddat_t;

void ddat_init(ddat_t *ddat);
int ddat_prepare(unsigned int alloc_size, ddat_t *ddat);
void ddat_free(ddat_t *ddat);

#endif
