#ifndef FDAT_H_INCLUDED_
#define FDAT_H_INCLUDED_

#include "typedef.h"

typedef struct fdat_t {
  unsigned int asize;  /* allocated size */
  unsigned int esize;  /* effective size */
  float *data;
} fdat_t;

void fdat_init(fdat_t *fdat);
int fdat_prepare(unsigned int alloc_size, fdat_t *fdat);
void fdat_free(fdat_t *fdat);

#endif
