#ifndef CODEC_H_INCLUDED
#define CODEC_H_INCLUDED

#include "typedef.h"

N_SI4 n_ipow(const N_SI4 i, const N_SI4 j);

double dpow2( int num );

int n_nbit_unpack(unsigned char din[], int nin, unsigned int dout[], 
                  int nout, int nbit);
int n_nbit_pack(N_UI4 din[], N_SI4 nin, N_UI1 dout[], N_SI4 nout, N_SI4 nbit);

N_SI4 
n_decode_rlen_nbit(N_UI1 *udata, N_UI1 *din, N_SI4 nin, N_SI4 nout,
		   N_SI4 maxv, N_SI4 nbit);

#endif
