#ifndef G2G_H
#define G2G_H
#include "endian.h"
#include "typedef.h"
#include "ymdhm.h"
#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif
/* codec.c */
int decode_rep_0(FILE *fp, grib2_data_list_t *data_list, float *odata);
int encode_rep_0(const int nxy, const int n_bit, const short decimal_unit,
		 const float *fdat, short *binary_unit, float *reference, 
		 N_UI1 *uc, const int uc_size, int *length);

/* convert.c */
int convert_gen_run(char elem[], FILE *fp, grib2_data_t *data, 
		    const ymdhm_t *ymdhm, const N_UI4 term, 
		    const N_UI4 nz, const z2p_info_t *z2p, 
		    const grid_info_t *gi_ln, const grid_info_t *gi_ll, 
		    const interp_2d_w_t *i2d_w, 
		    N_UI1 layer_kind, float data_p_ll_out[]);

int convert_temp_gph_run(FILE *fp, grib2_data_t *data, 
			 const ymdhm_t *ymdhm, const N_UI4 term, 
			 const int nz, const z2p_info_t *z2p, 
			 const grid_info_t *gi_ln, const grid_info_t *gi_ll, 
			 const interp_2d_w_t *i2d_w, 
			 float t_p_ll_out[], float gph_p_ll_out[]);

/* decode_grib2.c */

/* encode_grib2.c */

/* get_grib2_info.c */

/* grib2_read.c */


/* interp.c */

/* lookup.c */
  
/* parm_table.c */

/* parse_config.c */

/* template.c */
int gen_template_sec34567(grib2_data_list_t *data_list, 
			  sec3_t *sec3_temp, sec4_t *sec4_temp, 
			  sec5_t *sec5_temp, 
			  sec6_t *sec6_temp, sec7_t *sec7_temp,
			  grid_info_t *gi_ll, N_UI1 prod_template);

/* z2p.c */

#endif
