#ifndef PARSE_OPT_H_INCLUDED
#define PARSE_OPT_H_INCLUDED

#include "typedef.h"

#define FORMAT_GRADS 0
#define FORMAT_GRIB2 1

typedef struct opt_t{
  char *fname_grib2;
  char *fname_config_h;
  char *fname_config_v;
  char *fname_out;
  N_UI1 print_rec;
  N_UI1 allow_out_domain;
  N_UI1 ra_interp_ope;
  N_UI1 output_format;
  N_UI1 output_latlon;
  char *fname_mapfile_in;
  N_UI1 pdef_use;
  N_UI1 udg_miss;
} opt_t;

int parse_opt(int argc, char **argv, opt_t *opt);
void parse_opt_print(opt_t *opt);
void parse_opt_usage(char *cmd);
#endif
